.c-modal-bio {
  pointer-events: none;
  inset: 0;
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 1000;
}
.c-modal-bio.is-open {
  pointer-events: auto !important;
}
.c-modal-bio.is-open .modal_inner {
  background-color: rgba(var(--color--7-rgb), 0.4);
  transition-delay: 0s;
}
.c-modal-bio.is-open .modal_overlay {
  opacity: 1;
  transition-delay: 0.4s;
  visibility: visible;
}
.c-modal-bio.is-open .modal_view {
  transform: translate(0);
  transition-delay: 0s;
}
.c-modal-bio .modal_inner {
  align-items: stretch;
  background-color: transparent;
  display: grid;
  grid-template-columns: minmax(72px, 1fr) minmax(240px, 544px);
  position: relative;
  width: 100%;
  height: 100%;
  transition-delay: 0s;
  transition-duration: 0.4s;
  transition-timing-function: var(--transition-ease--1);
  transition-property: background-color, opacity, visibility;
}
.c-modal-bio .modal_overlay {
  align-items: flex-start;
  justify-content: flex-end;
  display: inline-flex;
  opacity: 0;
  padding: 12px;
  transition-delay: 0s;
  transition-duration: 0.4s;
  transition-timing-function: var(--transition-ease--1);
  transition-property: opacity, visibility;
  visibility: hidden;
  width: 100%;
  z-index: 0;
}
.c-modal-bio .modal_exit {
  background: var(--color--3)
    url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' viewBox='0 0 12 12'%3E%3Cpath fill='%23000015' d='M9.97.97a.75.75 0 1 1 1.06 1.06L7.06 6l3.97 3.97a.75.75 0 0 1-1.06 1.06L6 7.06l-3.97 3.97A.75.75 0 1 1 .97 9.97L4.94 6 .97 2.03A.75.75 0 1 1 2.03.97L6 4.94 9.97.97Z'/%3E%3C/svg%3E")
    no-repeat center / 12px;
  border-radius: 12px;
  border: 0;
  cursor: pointer;
  width: 48px;
  height: 48px;
  transform: scale(1);
  transform-origin: center;
  transition-duration: 0.6s;
  transition-timing-function: var(--transition-ease--1);
  transition-property: transform;
}
.c-modal-bio .modal_view {
  background-color: var(--color--7);
  border-radius: 30px 0 0 30px;
  color: #fff;
  min-height: 0;
  max-width: 544px;
  position: relative;
  transform: translate(100%);
  transition-delay: 0s;
  transition-duration: 0.4s;
  transition-timing-function: cubic-bezier(0.16, 1, 0.3, 1);
  transition-property: transform;
  width: 100%;
  z-index: 1;
}
.c-modal-bio .modal_view .view_canvas {
  overflow-x: hidden;
  overflow-y: auto;
  inset: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
  scrollbar-width: none;
}
.c-modal-bio .modal_view .view_canvas::-webkit-scrollbar {
  display: none;
}
.c-modal-bio .modal_view .modal_data {
  opacity: 0;
  padding: 20px;
  position: relative;
  transform: none;
}
@media (min-width: 1025px) {
  .c-modal-bio .modal_view .modal_data {
    padding: 30px;
  }
}
.c-modal-bio .modal_view .view_background {
  background-color: transparent;
  background-image: url(/wp-content/themes/integratedbio/dist/img/pattern--1.C8BvYmSx.png);
  background-position: center;
  background-repeat: repeat;
  background-size: 1528px 1367px;
  display: block;
  margin: 0;
  opacity: 0.6;
  pointer-events: none;
  inset: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 0;
}
@media (min-resolution: 192dpi) {
  .c-modal-bio .modal_view .view_background {
    background-image: url(/wp-content/themes/integratedbio/dist/img/pattern--1@2x.CDOoaNpJ.png);
  }
}
@media (hover: hover) and (pointer: fine) {
  .c-modal-bio:has(.modal_exit:hover) .modal_exit {
    transform: scale(1.1);
  }
}
.c-modal-bio .modal_data.type-bio {
  display: flex;
  flex-direction: column;
  row-gap: 30px;
}
.c-modal-bio .modal_data.type-bio .modal_photo {
  aspect-ratio: 1 / 1;
  border-radius: 16px;
  flex: 0 0 auto;
  overflow: hidden;
  position: relative;
  width: 100%;
}
.c-modal-bio .modal_data.type-bio .photo_img {
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: top center;
  object-position: top center;
  top: 0;
  left: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  transform-origin: center;
  transition-duration: 0.5s;
  transition-property: transform;
  transition-timing-function: var(--transition-ease--1);
  z-index: 0;
}
.c-modal-bio .modal_data.type-bio .modal_content {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  gap: 12px;
}
.c-modal-bio .modal_data.type-bio .content_name {
  font-size: 1.5rem;
  letter-spacing: -0.02em;
  line-height: 1em;
}
.c-modal-bio .modal_data.type-bio .content_job {
  font-family: var(--family--2);
  font-size: max(
    0.75rem,
    min(calc(0.75rem + 0.002 * (100vw - 27.5rem)), 0.875rem)
  );
  letter-spacing: -0.02em;
  line-height: 1em;
  opacity: 0.5;
  text-transform: uppercase;
}
.c-modal-bio .modal_data.type-bio .content_bio {
  font-size: max(1rem, min(calc(1rem + 0.002 * (100vw - 27.5rem)), 1.125rem));
  letter-spacing: -0.02em;
  line-height: 1.3em;
  padding-top: 22px;
  text-wrap: pretty;
}
.c-modal-bio .modal_data.type-bio .content_bio p:not(:last-child) {
  margin-bottom: 1em;
}
.c-modal-bio .modal_data.type-bio .modal_btns {
  align-items: flex-end;
  display: flex;
  flex: 1 0 auto;
  gap: 12px;
}
.c-modal-bio .modal_data.type-bio .modal_btns .btns_el {
  background-color: var(--color--3);
  background-size: 16px;
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 12px;
  color: transparent;
  display: inline-flex;
  font-size: 0;
  overflow: hidden;
  position: relative;
  width: 38px;
  height: 38px;
  transform: scale(1);
  transform-origin: center;
  transition-duration: 0.6s;
  transition-timing-function: var(--transition-ease--1);
  transition-property: transform;
}
.c-modal-bio .modal_data.type-bio .modal_btns .btns_el.-linkedin {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='none' viewBox='0 0 16 16'%3E%3Cpath fill='%23000015' d='M14.816 0H1.18C.528 0 0 .516 0 1.153v13.69A1.17 1.17 0 0 0 1.181 16h13.635c.653 0 1.184-.519 1.184-1.153V1.153C16 .516 15.469 0 14.816 0ZM4.746 13.634H2.373V5.997h2.375v7.637ZM3.56 4.956a1.376 1.376 0 1 1-.004-2.751 1.376 1.376 0 0 1 .004 2.751Zm10.075 8.678h-2.372V9.922c0-.885-.015-2.025-1.234-2.025-1.234 0-1.422.966-1.422 1.962v3.775H6.237V5.997h2.275V7.04h.032c.315-.6 1.09-1.235 2.243-1.235 2.404 0 2.847 1.582 2.847 3.638v4.19Z'/%3E%3C/svg%3E");
}
@media (hover: hover) and (pointer: fine) {
  .c-modal-bio .modal_data.type-bio .modal_btns .btns_el:hover {
    transform: scale(1.1);
  }
}
